Author Topic: plinewid-Help  (Read 1997 times)

0 Members and 1 Guest are viewing this topic.

rude dog

  • Guest
plinewid-Help
« on: March 27, 2008, 11:45:27 PM »
I have a routine that draws a closed polyline that works good. I am stuck
on assigning width to it with staright VBA I tried this but it doenst work:

Code: [Select]

   ThisDrawing.SetVariable "PLINEWID", 0.0625
   
    Set plineObj = ThisDrawing.ModelSpace.AddLightWeightPolyline(points)
    plineObj.Closed = True
       
    ThisDrawing.SetVariable "PLINEWID", 0



I was trying to avoid looping through each segment, and SendCommand with autolisp

This is my first crack @ VBA

Bryco

  • Water Moccasin
  • Posts: 1883
Re: plinewid-Help
« Reply #1 on: March 28, 2008, 12:07:27 AM »
Dim plineObj As AcadLWPolyline
Set plineObj = ThisDrawing.ModelSpace.AddLightWeightPolyline(Points)
plineObj.SetWidth 0, 4, 5

rude dog

  • Guest
Re: plinewid-Help
« Reply #2 on: March 28, 2008, 12:20:23 AM »
Thank You for the speedy help
Now I can go to bed peacefully...
worked great 8-)